# Reference Documentation

## Protocols

-   [AnyHashableConvertible](protocols/AnyHashableConvertible/)
-   [AnyScalarType](protocols/AnyScalarType/)
-   [AnySelectionSet](protocols/AnySelectionSet/)
-   [CacheEntity](protocols/CacheEntity/)
-   [CacheKeyProvider](protocols/CacheKeyProvider/)
-   [CustomScalarType](protocols/CustomScalarType/)
-   [EnumType](protocols/EnumType/)
-   [Fragment](protocols/Fragment/)
-   [FragmentContainer](protocols/FragmentContainer/)
-   [GraphQLMutation](protocols/GraphQLMutation/)
-   [GraphQLOperation](protocols/GraphQLOperation/)
-   [GraphQLOperationVariableValue](protocols/GraphQLOperationVariableValue/)
-   [GraphQLQuery](protocols/GraphQLQuery/)
-   [GraphQLSubscription](protocols/GraphQLSubscription/)
-   [InlineFragment](protocols/InlineFragment/)
-   [InputObject](protocols/InputObject/)
-   [JSONDecodable](protocols/JSONDecodable/)
-   [JSONEncodable](protocols/JSONEncodable/)
-   [LocalCacheMutation](protocols/LocalCacheMutation/)
-   [MutableRootSelectionSet](protocols/MutableRootSelectionSet/)
-   [MutableSelectionSet](protocols/MutableSelectionSet/)
-   [OutputTypeConvertible](protocols/OutputTypeConvertible/)
-   [ParentTypeConvertible](protocols/ParentTypeConvertible/)
-   [RootSelectionSet](protocols/RootSelectionSet/)
-   [ScalarType](protocols/ScalarType/)
-   [SchemaConfiguration](protocols/SchemaConfiguration/)
-   [SchemaUnknownTypeCacheKeyProvider](protocols/SchemaUnknownTypeCacheKeyProvider/)
-   [SelectionSet](protocols/SelectionSet/)
-   [SelectionSetEntityValue](protocols/SelectionSetEntityValue/)
-   [Union](protocols/Union/)
-   [_InitializableByArrayLiteralElements](protocols/_InitializableByArrayLiteralElements/)
-   [_InitializableByDictionaryLiteralElements](protocols/_InitializableByDictionaryLiteralElements/)

## Structs

-   [CacheReference](structs/CacheReference/)
-   [DataDict](structs/DataDict/)
-   [InputDict](structs/InputDict/)
-   [OperationDefinition](structs/OperationDefinition/)
-   [Selection.Condition](structs/Selection.Condition/)
-   [Selection.Conditions](structs/Selection.Conditions/)
-   [Selection.Field](structs/Selection.Field/)

## Classes

-   [Interface](classes/Interface/)
-   [Object](classes/Object/)

## Enums

-   [DocumentType](enums/DocumentType/)
-   [Field.OutputType](enums/Field.OutputType/)
-   [GraphQLEnum](enums/GraphQLEnum/)
-   [GraphQLNullable](enums/GraphQLNullable/)
-   [GraphQLOperationType](enums/GraphQLOperationType/)
-   [InputValue](enums/InputValue/)
-   [JSONDecodingError](enums/JSONDecodingError/)
-   [NoFragments](enums/NoFragments/)
-   [ParentType](enums/ParentType/)
-   [Selection](enums/Selection/)

## Extensions

-   [AnyHashableConvertible](extensions/AnyHashableConvertible/)
-   [AnySelectionSet](extensions/AnySelectionSet/)
-   [Array](extensions/Array/)
-   [Bool](extensions/Bool/)
-   [CacheKeyProvider](extensions/CacheKeyProvider/)
-   [CacheReference](extensions/CacheReference/)
-   [CustomScalarType](extensions/CustomScalarType/)
-   [Dictionary](extensions/Dictionary/)
-   [Double](extensions/Double/)
-   [EnumType](extensions/EnumType/)
-   [Float](extensions/Float/)
-   [FragmentContainer](extensions/FragmentContainer/)
-   [GraphQLEnum](extensions/GraphQLEnum/)
-   [GraphQLMutation](extensions/GraphQLMutation/)
-   [GraphQLNullable](extensions/GraphQLNullable/)
-   [GraphQLOperation](extensions/GraphQLOperation/)
-   [GraphQLQuery](extensions/GraphQLQuery/)
-   [GraphQLSubscription](extensions/GraphQLSubscription/)
-   [InputObject](extensions/InputObject/)
-   [InputValue](extensions/InputValue/)
-   [Int](extensions/Int/)
-   [Interface](extensions/Interface/)
-   [JSONEncodable](extensions/JSONEncodable/)
-   [JSONEncodableDictionary](extensions/JSONEncodableDictionary/)
-   [LocalCacheMutation](extensions/LocalCacheMutation/)
-   [MutableSelectionSet](extensions/MutableSelectionSet/)
-   [NSDictionary](extensions/NSDictionary/)
-   [NSNull](extensions/NSNull/)
-   [Object](extensions/Object/)
-   [Optional](extensions/Optional/)
-   [ParentType](extensions/ParentType/)
-   [RawRepresentable](extensions/RawRepresentable/)
-   [RootSelectionSet](extensions/RootSelectionSet/)
-   [SchemaConfiguration](extensions/SchemaConfiguration/)
-   [Selection](extensions/Selection/)
-   [Selection.Conditions](extensions/Selection.Conditions/)
-   [Selection.Field](extensions/Selection.Field/)
-   [Selection.Field.OutputType](extensions/Selection.Field.OutputType/)
-   [SelectionSet](extensions/SelectionSet/)
-   [String](extensions/String/)
-   [URL](extensions/URL/)
-   [Union](extensions/Union/)

## Typealiases

-   [GraphQLEnum.RawValue](typealiases/GraphQLEnum.RawValue/)
-   [GraphQLOperation.Variables](typealiases/GraphQLOperation.Variables/)
-   [JSONEncodableDictionary](typealiases/JSONEncodableDictionary/)
-   [JSONObject](typealiases/JSONObject/)
-   [JSONValue](typealiases/JSONValue/)

## Methods

-   [!=(____)](methods/!=(____)/)
-   [==(____)](methods/==(____)/)
-   [__(____)](methods/__(____)/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)